## org.gnu.gtk
Class ComboBox

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.ComboBox

All Implemented Interfaces:
  CellLayout

Direct Known Subclasses:
  ComboBoxEntry

public class ComboBox
extends Bin
implements CellLayout

A widget used to choose from a list of items.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ComboBox()` Construct a new ComboBox that will contain only Strings.
`ComboBox(Handle hndl)`
`ComboBox(TreeModel model)` Create a new ComboBox with the provided model.

Method Summary
`void` `addAttributeMapping(CellRenderer renderer, CellRendererAttribute attribute, DataColumn column)` Adds an attribute mapping to the list in the CellLayout.
`void` `addListener(ComboBoxListener listener)` Register an object to handle ComboBox events.
`void` `appendText(java.lang.String text)` Appends a string to the list of strings in the ComboBox.
`void` `clear()` Unsets all the mappings on all renderers on the CellLayout and removes all renderers from the CellLayout.
`void` `clearAttributeMappings(CellRenderer renderer)` Clears all existing attributes previously set with `addAttributeMapping(org.gnu.gtk.CellRenderer, org.gnu.gtk.CellRendererAttribute, org.gnu.gtk.DataColumn)`.
`protected void` `fireComboBoxEvent(ComboBoxEvent event)`
`int` `getActive()` Returns the index of the currently active item or -1 if there's no active item.
`TreeIter` `getActiveIter()` Returns a TreeIter that is pointing to the currently active item in the ComboBox.
`java.lang.String` `getActiveText()`
`boolean` `getAddTearoffs()`
`int` `getColumnSpanColumn()`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`boolean` `getFocusOnClick()`
`TreeModel` `getModel()` Returns the TreeModel for the ComboBox.
`AtkObject` `getPopupAccessible()`
`TreeViewRowSeparatorMethod` `getRowSeparatorMethod()` Get the object which is used to determine whether a row should be drawn as a separator.
`int` `getRowSpanColumn()`
`int` `getWrapWidth()`
`protected static void` `gtk_combo_box_append_text(Handle combo, java.lang.String text)`
`protected static boolean` `gtk_combo_box_get_active_iter(Handle combo, Handle iter)`
`protected static java.lang.String` `gtk_combo_box_get_active_text(Handle combo)`
`protected static int` `gtk_combo_box_get_active(Handle combo)`
`protected static boolean` `gtk_combo_box_get_add_tearoffs(Handle combo)`
`protected static int` `gtk_combo_box_get_column_span_column(Handle combo)`
`protected static boolean` `gtk_combo_box_get_focus_on_click(Handle combo)`
`protected static Handle` `gtk_combo_box_get_model(Handle combo)`
`protected static Handle` `gtk_combo_box_get_popup_accessible(Handle combo)`
`protected static int` `gtk_combo_box_get_row_span_column(Handle combo)`
`protected static int` `gtk_combo_box_get_type()`
`protected static int` `gtk_combo_box_get_wrap_width(Handle combo)`
`protected static void` `gtk_combo_box_insert_text(Handle combo, int position, java.lang.String text)`
`protected static Handle` `gtk_combo_box_new_text()`
`protected static Handle` `gtk_combo_box_new_with_model(Handle model)`
`protected static Handle` `gtk_combo_box_new()`
`protected static void` `gtk_combo_box_popdown(Handle combo)`
`protected static void` `gtk_combo_box_popup(Handle combo)`
`protected static void` `gtk_combo_box_prepend_text(Handle combo, java.lang.String text)`
`protected static void` `gtk_combo_box_remove_text(Handle combo, int position)`
`protected static void` `gtk_combo_box_set_active_iter(Handle combo, Handle iter)`
`protected static void` `gtk_combo_box_set_active(Handle combo, int index)`
`protected static void` `gtk_combo_box_set_add_tearoffs(Handle combo, boolean addTearoffs)`
`protected static void` `gtk_combo_box_set_column_span_column(Handle box, int columnSpan)`
`protected static void` `gtk_combo_box_set_focus_on_click(Handle combo, boolean focusOnclick)`
`protected static void` `gtk_combo_box_set_model(Handle combo, Handle model)`
`protected static void` `gtk_combo_box_set_row_span_column(Handle box, int rowSpan)`
`protected static void` `gtk_combo_box_set_wrap_width(Handle combo, int width)`
`protected boolean` `handleSeparatorFunc(Handle model, Handle iter)`
`void` `insertText(int position, java.lang.String text)` Inserts a string into the list of strings in the ComboBox at the provided position.
`void` `packEnd(CellRenderer renderer, boolean expand)` Adds the cell to the end of the CellLayout.
`void` `packStart(CellRenderer renderer, boolean expand)` Packs the cell into the beginning of the CellLayout.
`void` `popdown()` Hides the menu or dropdown list of the ComboBox.
`void` `popup()` Pops up the menu or dropdown list of the ComboBox.
`void` `prependText(java.lang.String text)` Prepends a string to the list of strings in the ComboBox.
`void` `removeListener(ComboBoxListener listener)` Removes a listener
`void` `removeText(int position)` Removes the string at the provided position from the list of strings in the ComboBox.
`void` `reorder(CellRenderer renderer, int position)` Re-inserts the renderer at position.
`void` `setActive(int index)` Sets the active item of the ComboBox to be index.
`void` `setActiveIter(TreeIter iter)` Sets the current active item to the one referenced by iter.
`void` `setAddTearoffs(boolean addTearoffs)`
`void` `setColumnSpanColumn(int columnSpan)` Sets the column span for the ComboBox.
`void` `setFocusOnClick(boolean focusOnClick)`
`void` `setModel(TreeModel model)` Sets the model for the ComboBox.
`void` `setRowSeparatorMethod(TreeViewRowSeparatorMethod method)` Set the object which is used to determine whether a row should be drawn as a separator.
`void` `setRowSpanColumn(int rowSpan)` Sets the row span for the ComboBox.
`void` `setWrapWidth(int width)` Sets the wrap width of the ComboBox.

Methods inherited from class org.gnu.gtk.Bin
`getChild, getType, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gnu.gtk.CellLayout
`getHandle`

Constructor Detail

### ComboBox

    public ComboBox(Handle hndl)

### ComboBox

    public ComboBox()

  Construct a new ComboBox that will contain only Strings. If you need to include objects other than strings you must use the constructor that takes a TreeModel. When you use this constructor you should use the appendText, insertText, prependText, and removeText methods to add or remove text from the comboBox.

### ComboBox

    public ComboBox(TreeModel model)

  Create a new ComboBox with the provided model. If you use this constructor you should not use the appendText, insertText, prependText, or removeText methods. You should update the model when you need to change the values in the ComboBox.

Parameters:
  `model` -

Method Detail

### setWrapWidth

    public void setWrapWidth(int width)

  Sets the wrap width of the ComboBox. The wrap widgth is the preferred number of columns when you want the popup to be layed out in a table.

  Parameters:
    `width` -

### getWrapWidth

    public int getWrapWidth()

### setRowSpanColumn

    public void setRowSpanColumn(int rowSpan)

  Sets the row span for the ComboBox. The row span is the number of rows an item should span.

  Parameters:
    `rowSpan` -

### getRowSpanColumn

    public int getRowSpanColumn()

### setColumnSpanColumn

    public void setColumnSpanColumn(int columnSpan)

  Sets the column span for the ComboBox. The column span is the number of columns an item should span.

  Parameters:
    `columnSpan` -

### getColumnSpanColumn

    public int getColumnSpanColumn()

### getAddTearoffs

    public boolean getAddTearoffs()

### setAddTearoffs

    public void setAddTearoffs(boolean addTearoffs)

### getFocusOnClick

    public boolean getFocusOnClick()

### setFocusOnClick

    public void setFocusOnClick(boolean focusOnClick)

### getActive

    public int getActive()

  Returns the index of the currently active item or -1 if there's no active item.

### setActive

    public void setActive(int index)

  Sets the active item of the ComboBox to be index.

  Parameters:
    `index` -

### getActiveIter

    public TreeIter getActiveIter()

  Returns a TreeIter that is pointing to the currently active item in the ComboBox.

### setActiveIter

    public void setActiveIter(TreeIter iter)

  Sets the current active item to the one referenced by iter.

  Parameters:
    `iter` -

### getModel

    public TreeModel getModel()

  Returns the TreeModel for the ComboBox.

### setModel

    public void setModel(TreeModel model)

  Sets the model for the ComboBox.

  Parameters:
    `model` -

### appendText

    public void appendText(java.lang.String text)

  Appends a string to the list of strings in the ComboBox. This method can only be called if you created the ComboBox with the no-op constructor.

  Parameters:
    `text` -

### insertText

    public void insertText(int position,
                           java.lang.String text)

  Inserts a string into the list of strings in the ComboBox at the provided position. This method can only be called if you created the ComboBox with the no-op constructor.

  Parameters:
    `position` -
    `text` -

### prependText

    public void prependText(java.lang.String text)

  Prepends a string to the list of strings in the ComboBox. This method can only be called if you created the ComboBox with the no-op constructor.

  Parameters:
    `text` -

### removeText

    public void removeText(int position)

  Removes the string at the provided position from the list of strings in the ComboBox. This method can only be called if you created the ComboBox with the no-op constructor.

  Parameters:
    `position` -

### getActiveText

    public java.lang.String getActiveText()

### popup

    public void popup()

  Pops up the menu or dropdown list of the ComboBox.

### popdown

    public void popdown()

  Hides the menu or dropdown list of the ComboBox.

### getPopupAccessible

    public AtkObject getPopupAccessible()

### packStart

    public void packStart(CellRenderer renderer,
                          boolean expand)

  Packs the cell into the beginning of the CellLayout. If expand is FALSE, then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is TRUE.

  Specified by:
    `packStart` in interface `CellLayout`

### packEnd

    public void packEnd(CellRenderer renderer,
                        boolean expand)

  Adds the cell to the end of the CellLayout. If expand is FALSE, then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is TRUE.

  Specified by:
    `packEnd` in interface `CellLayout`

### clear

    public void clear()

  Unsets all the mappings on all renderers on the CellLayout and removes all renderers from the CellLayout.

  Specified by:
    `clear` in interface `CellLayout`

### addAttributeMapping

    public void addAttributeMapping(CellRenderer renderer,
                                    CellRendererAttribute attribute,
                                    DataColumn column)

  Adds an attribute mapping to the list in the CellLayout. The column is the column of the model to get a value from, and the attribute is the parameter on cell to be set from the value.

  Specified by:
    `addAttributeMapping` in interface `CellLayout`

### clearAttributeMappings

    public void clearAttributeMappings(CellRenderer renderer)

  Clears all existing attributes previously set with `addAttributeMapping(org.gnu.gtk.CellRenderer, org.gnu.gtk.CellRendererAttribute, org.gnu.gtk.DataColumn)`.

  Specified by:
    `clearAttributeMappings` in interface `CellLayout`

### reorder

    public void reorder(CellRenderer renderer,
                        int position)

  Re-inserts the renderer at position. Note that the renderer has already to be packed into the CellLayout for this to function properly.

  Specified by:
    `reorder` in interface `CellLayout`

### setRowSeparatorMethod

    public void setRowSeparatorMethod(TreeViewRowSeparatorMethod method)

  Set the object which is used to determine whether a row should be drawn as a separator.

  Parameters:
    `method` - The `TreeViewRowSeparatorMethod` or `null` if no separators are to be drawn (the default).

### handleSeparatorFunc

    protected boolean handleSeparatorFunc(Handle model,
                                          Handle iter)

### getRowSeparatorMethod

    public TreeViewRowSeparatorMethod getRowSeparatorMethod()

  Get the object which is used to determine whether a row should be drawn as a separator.

  Returns:
    The `TreeViewRowSeparatorMethod` or `null` if no method has been set.

### addListener

    public void addListener(ComboBoxListener listener)

  Register an object to handle ComboBox events.

  See Also:
    `ComboBoxListener`

### removeListener

    public void removeListener(ComboBoxListener listener)

  Removes a listener

  See Also:
    `addListener(ComboBoxListener)`

### fireComboBoxEvent

    protected void fireComboBoxEvent(ComboBoxEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Container`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Container`

### gtk_combo_box_get_type

    protected static final int gtk_combo_box_get_type()

### gtk_combo_box_new

    protected static final Handle gtk_combo_box_new()

### gtk_combo_box_new_with_model

    protected static final Handle gtk_combo_box_new_with_model(Handle model)

### gtk_combo_box_get_wrap_width

    protected static final int gtk_combo_box_get_wrap_width(Handle combo)

### gtk_combo_box_set_wrap_width

    protected static final void gtk_combo_box_set_wrap_width(Handle combo,
                                                             int width)

### gtk_combo_box_get_row_span_column

    protected static final int gtk_combo_box_get_row_span_column(Handle combo)

### gtk_combo_box_set_row_span_column

    protected static final void gtk_combo_box_set_row_span_column(Handle box,
                                                                  int rowSpan)

### gtk_combo_box_get_column_span_column

    protected static final int gtk_combo_box_get_column_span_column(Handle combo)

### gtk_combo_box_set_column_span_column

    protected static final void gtk_combo_box_set_column_span_column(Handle box,
                                                                     int columnSpan)

### gtk_combo_box_get_add_tearoffs

    protected static final boolean gtk_combo_box_get_add_tearoffs(Handle combo)

### gtk_combo_box_set_add_tearoffs

    protected static final void gtk_combo_box_set_add_tearoffs(Handle combo,
                                                               boolean addTearoffs)

### gtk_combo_box_get_focus_on_click

    protected static final boolean gtk_combo_box_get_focus_on_click(Handle combo)

### gtk_combo_box_set_focus_on_click

    protected static final void gtk_combo_box_set_focus_on_click(Handle combo,
                                                                 boolean focusOnclick)

### gtk_combo_box_get_active

    protected static final int gtk_combo_box_get_active(Handle combo)

### gtk_combo_box_set_active

    protected static final void gtk_combo_box_set_active(Handle combo,
                                                         int index)

### gtk_combo_box_get_active_iter

    protected static final boolean gtk_combo_box_get_active_iter(Handle combo,
                                                                 Handle iter)

### gtk_combo_box_set_active_iter

    protected static final void gtk_combo_box_set_active_iter(Handle combo,
                                                              Handle iter)

### gtk_combo_box_set_model

    protected static final void gtk_combo_box_set_model(Handle combo,
                                                        Handle model)

### gtk_combo_box_get_model

    protected static final Handle gtk_combo_box_get_model(Handle combo)

### gtk_combo_box_new_text

    protected static final Handle gtk_combo_box_new_text()

### gtk_combo_box_append_text

    protected static final void gtk_combo_box_append_text(Handle combo,
                                                          java.lang.String text)

### gtk_combo_box_insert_text

    protected static final void gtk_combo_box_insert_text(Handle combo,
                                                          int position,
                                                          java.lang.String text)

### gtk_combo_box_prepend_text

    protected static final void gtk_combo_box_prepend_text(Handle combo,
                                                           java.lang.String text)

### gtk_combo_box_remove_text

    protected static final void gtk_combo_box_remove_text(Handle combo,
                                                          int position)

### gtk_combo_box_get_active_text

    protected static final java.lang.String gtk_combo_box_get_active_text(Handle combo)

### gtk_combo_box_popup

    protected static final void gtk_combo_box_popup(Handle combo)

### gtk_combo_box_popdown

    protected static final void gtk_combo_box_popdown(Handle combo)

### gtk_combo_box_get_popup_accessible

    protected static final Handle gtk_combo_box_get_popup_accessible(Handle combo)